<?php
namespace Service;

use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\ORM\DateTime;

use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure; 

class CnpjService extends \Zeedhi\Framework\Controller\Simple {

    protected $connection;
    protected $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager, \Factory\CnpjFactory $cnpjFactory)  {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
        $this->cnpjFactory = $cnpjFactory;
    }

    public function consultaCnpj($nrinsjurclie){
        return $this->cnpjFactory->consultaCnpj($nrinsjurclie);
    }
    
}